export class Evento {
    private id: number;
    nombre: string;
    localizacion: string;
    fecha: Date;
    dia: string;
    hora: string;
    descripcion: string;
    precio1: number;
    precio2: number;

    setNombre(nombre: string): void{
        this.nombre = nombre;
      }

    getNombre(): string{
        return this.nombre;
      }

    setLocalizacion(localizacion: string): void{
        this.localizacion = localizacion;
    }

    getLocalizacion(): string{
        return this.localizacion
    }

    setFecha(fecha: Date): void{
        this.fecha = fecha;
    }

    getFecha(): Date{
        return this.fecha;
    }

    setDesc(desc: string): void{
        this.descripcion = desc;
    }

    getDesc(): string{
        return this.descripcion;
    }

    setDia(fecha: Date): void{
        this.dia = fecha.getDate()+"/"+fecha.getMonth();
    }

    getDia(): string{
        return this.dia;
    }

    setHora(fecha: Date): void{
        this.hora = fecha.getHours()+":"+fecha.getMinutes();
    }

    getHora(): string{
        return this.hora;
    }

    setPrecio1(precio: number): void{
        this.precio1 = precio;
    }

    getPrecio1(): number{
        return this.precio1;
    }

    setPrecio2(precio: number): void{
        this.precio2 = precio;
    }

    getPrecio2(): number{
        return this.precio2;
    }
}
